Skip to content

Workspaces

Workspaces provide a structured way to experiment, test, and evaluate models before deploying them in production.

Create a workspace

Create a new workspace for an asset to manage different types of models and experiments for the asset

Method Path
POST /api/1.3/accounts/{account_id}/workspace

Request Body Fields

Field Type Required Description
name string Yes A user-defined name for the workspace.
description string No A description about the workspace.

Usage Example

curl -X POST "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/workspace" \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
        "name": "Asset 123",
        "description": "Workspace for Plant 1 / Line A / Asset 123"
    }'
import requests

url = "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/workspace"
headers = {"Authorization": "Bearer <token>"}

workspace_payload = {
        "name": "Asset 123",
        "description": "Workspace for Plant 1 / Line A / Asset 123"
}

response = requests.post(
        url,
        headers=HEADERS,
        json=workspace_payload
)

Retrieve a workspace

Retrieve an existing workspace by its workspace ID.

Method Path
GET /api/1.3/accounts/{account_id}/workspace/{workspace_id}

Path Parameters

Parameter Type Required Description
account_id string Yes The account identifier.
workspace_id string Yes The workspace identifier to retrieve.

Usage Example

curl -X GET "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/workspace/{WORKSPACE_ID}" \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json"
import requests

url = "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/workspace/{WORKSPACE_ID}"
headers = {
    "Authorization": f"Bearer <token>",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

Move models from one workspace to another

Move an existing model to a different workspace.

Method Path
PUT /api/1.3/accounts/{account_id}/models/{model_id}

Path Parameters

Parameter Type Required Description
account_id string Yes The account identifier.
model_id string Yes The model identifier to be moved.

Request Body Fields

Field Type Required Description
workspace string Yes Destination workspace ID where the model will be moved.

Usage Example

curl -X PUT "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/models/{MODEL_ID}" \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
        "workspace": "1234875539508346"
    }'
import requests

URL = "https://app3.falkonry.ai/api/1.3/accounts/{ACCOUNT_ID}/models/{MODEL_ID}"
HEADERS = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json",
}

DATA = {
    "workspace": "1234875539508346"
}

response = requests.put(
    URL,
    headers=HEADERS,
    json=DATA
)